/* -*- c++ -*-
 * 
 * TkResolver
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef __TK_MP_RATIONAL_H__
#define __TK_MP_RATIONAL_H__

#include <gmpxx.h>

namespace Tk {
  namespace MP {
    
    template <typename T>
    class Matrix;
    
    namespace Rational {
      
      typedef mpq_class Number;
      typedef MP::Matrix<Number> Matrix;
      
    } /* namespace Rational */
  } /* namespace MP */
} /* namespace Tk */




#endif /* __TK_MP_RATIONAL_H__ */
